day01 Updates
* Day01:
- remove reclass data from node
- Force maas in unconfigured state
- if you will try to run maas - it will automatically start
import processes = > which fail.
- If you will try to wrap and disable imports (formula allow to do it)
=> maas_config step will never pass.
* Misc:
- for to use freezed bootstrap.saltstack.com.sh
- add qemu-packer disk_compression true - require packer 1.10 +
- decrease mirror image size to 100gb
- apt_preserve_sources_list - force cloud-init to not re-create sources.list
Change-Id: If7c731284f3fd6ca21fe253c05c8ab78213cf9c5
diff --git a/common/ubuntu_base.sh b/common/ubuntu_base.sh
index bca322d..6f314e9 100644
--- a/common/ubuntu_base.sh
+++ b/common/ubuntu_base.sh
@@ -62,5 +62,10 @@
# Setup cloud-init
apt-get -y install cloud-init
-# Disable apt-daily
-systemctl disable apt-daily.timer
+# FIXME: move to cluster model
+# Disable services
+disable_services="apt-daily.timer apt-daily-upgrade.timer lxc.service snapd.service snapd.socket"
+for s in ${disable_services}; do
+ systemctl disable ${s} || true
+ systemctl stop ${s} || true
+done